FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Cluster Development

 
 
LinkBack Thread Tools
 
Old 06-20-2008, 03:14 PM
 
Default Cluster Project branch, STABLE2, updated. cluster-2.03.04-25-g7ea2a4d

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "Cluster Project".

http://sources.redhat.com/git/gitweb.cgi?p=cluster.git;a=commitdiff;h=7ea2a4dce8 d413d6d0f0c86833cf71ca8082b7ef

The branch, STABLE2 has been updated
via 7ea2a4dce8d413d6d0f0c86833cf71ca8082b7ef (commit)
from 114dd2efb2e8219324a06948588f4e70f47b91d7 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 7ea2a4dce8d413d6d0f0c86833cf71ca8082b7ef
Author: Lon Hohberger <lhh@redhat.com>
Date: Fri Jun 20 11:07:15 2008 -0400

[rgmanager] Make rgmanager check pbond links correctly

Rgmanager doesn't check pbond links (bonded links when Xen
networking is used) correctly. This patch fixes it.

Red Hat Bugzilla #451654

Patch from John Ruemker.

Signed-off-by: John Ruemker <jruemker@redhat.com>
Signed-off-by: Lon Hohberger <lhh@redhat.com>

-----------------------------------------------------------------------

Summary of changes:
rgmanager/src/resources/ip.sh | 11 ++++++++++-
1 files changed, 10 insertions(+), 1 deletions(-)

diff --git a/rgmanager/src/resources/ip.sh b/rgmanager/src/resources/ip.sh
index 1f0e144..3cdba1a 100644
--- a/rgmanager/src/resources/ip.sh
+++ b/rgmanager/src/resources/ip.sh
@@ -523,12 +523,21 @@ network_link_up()
if [ "${intf_arg/bond/}" != "$intf_arg" ]; then

#
+ # With Xen we must check for slaves of pbondX, not bondX
+ #
+ masterif=$intf_arg
+ line=$(ip link list | awk {'print $2'} | grep "p$intf_arg:")
+ if [ $? -eq 0 ] ; then
+ masterif="p$intf_arg"
+ fi
+
+ #
# Bonded driver. Check link of all slaves for this interface.
# If any link is up, the bonding driver is expected to route
# traffic through that link. Thus, the entire bonded link
# is declared up.
#
- slaves=$(findSlaves $intf_arg)
+ slaves=$(findSlaves $masterif)
if [ $? -ne 0 ]; then
ocf_log err "Error finding slaves of $intf_arg"
return 1


hooks/post-receive
--
Cluster Project
 

Thread Tools




All times are GMT. The time now is 12:00 AM.

VBulletin, Copyright ©2000 - 2013, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org